%% Init neural
%            na = # of past out puts used for determining the prediction
%            nb = # of past inputs used for determining prediction
%            nk = time delay (usually 1)
% Initialize the neural network with two hidden linear neurons and
% twolinear output neurons
NetDef = ['HHHH'; 'L---'];

%Define the input and output data
UT = transp(u_train);
YT = transp(y_train);
U = transp(u_test);
Y = transp(y_test);

trparms = settrain;
    
W1 = [];
W2 = [];

%% ARX model
NN = [2 2 2 1];

[W1,W2,PI_vector,iteration,lambda]=nnarmax2(NetDef,NN,W1,W2,trparms,Y,U);

[Yhat,NSSE]=nnvalid('nnarmax2',NetDef,NN,W1,W2,YT,UT);

% arxerr = meanRootError(YT, Yhat);

%for j = 2:4
%    
%Yhat=kpredict('nnarx',NetDef,NN,j,W1,W2,y_train, u_train);
%arxerrors(1,j) = meanRootError(y_train, Yhat)
%end;