%  TestAddSamplesToRegressionMatrix.m
%
%  File to test if the AddSamplesToRegressionMatrix function works. 
%
%  Programmed by: Oskar Gross, University of Tartu
%  LastEditDate  : June 1, 2009

load 'TestSample.mat';

NetDefNo = ['HHHH'; 'L---'];
NetDef = ['HHHH'; 'L---'];

%Define the input and output data
% U = u_train;
% Y = y_train;
UT = u_test;
YT = y_test;

trparms = settrain;
trparmsNo = settrain;    
W1 = [];
W2 = [];

W1No = [];
W2No = [];

Y = y_train;
U = u_train;

Y1 = y_train(1:254);
Y2 = y_train(255:378);
Y3 = y_train(379:500);

U1 = u_train(1:254);
U2 = u_train(255:378);
U3 = u_train(379:500);

NN = [2 2 1];
NNNo = [2 2 1];
%%
[W1No,W2No,PI_vectorno,iterationno,lambdano]=nnarx(NetDefNo,NNNo,W1No,W2No,trparmsNo,Y,U);

[Yhatno,NSSEno]=nnvalid('nnarx',NetDefNo,NNNo,W1No,W2No,YT,UT);
%%
[W1,W2,PI_vector,iteration,lambda]=nnarxManySamples(NetDef,NN,W1,W2,trparms,[Y1 Y2 Y3],[U1 U2 U3],[1 255 379]);

[Yhat,NSSE]=nnvalid('nnarx',NetDef,NN,W1,W2,YT,UT);