%% Test the addSamples to regressionMatrix
% Init neural
%            na = # of past out puts used for determining the prediction
%            nb = # of past inputs used for determining prediction
%            nk = time delay (usually 1)
% Initialize the neural network with two hidden linear neurons and
% twolinear output neurons
%load 'TestSample.mat';
NetDef = ['HHHH'; 'L---'];

%Define the input and output data
U = u_train;
Y = y_train;

UT = u_test;
YT = y_test;

trparms = settrain;    
W1 = [];
W2 = [];

Y1 = y_train(1:254);
Y2 = y_train(255:378);
Y3 = y_train(379:500);

U1 = u_train(1:254);
U2 = u_train(255:378);
U3 = u_train(379:500);

NN = [2 2 1 1];

%% One sample

[W1,W2,PI_vector,iteration,lambda]=nnssif(NetDef,2,W1,W2,[],trparms,Y,U);

[Yhat,NSSE]=nnvalid('nnssif',NetDef,NN,W1,W2, YT,UT);

%% Many samples

[W1,W2,PI_vector,iteration,lambda]=nnssifManySamples(NetDef,1,W1,W2,[],trparms,[Y1 Y2 Y3],[U1 U2 U3],[1 255 379]);
 
[Yhat,NSSE]=nnvalid('nnssif',NetDef,NN,W1,W2, YT,UT);